package com.gqy.web.controller.document;

import com.gqy.common.annotation.Log;
import com.gqy.common.core.controller.BaseController;
import com.gqy.common.core.domain.AjaxResult;
import com.gqy.common.core.page.TableDataInfo;
import com.gqy.common.enums.BusinessType;
import com.gqy.document.domain.DcSystem;
import com.gqy.document.domain.DcWork;
import com.gqy.document.service.IDcSystemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;


/**
 * 系统工程类
 */
@RestController
@RequestMapping("/dcsystem")
public class DcSystemController extends BaseController {


    @Autowired
    private IDcSystemService iDcSystemService;

    /**
     * 创建系统信息
     */
    @PostMapping("/add")
    public @ResponseBody AjaxResult add(@RequestBody DcSystem dcSystem) {
        return iDcSystemService.insertDcSystem(dcSystem);
    }

    /**
     * 更新系统信息
     */
    @PostMapping("/update")
    public @ResponseBody AjaxResult update(@RequestBody DcSystem dcSystem) {
        return iDcSystemService.updateDcSystem(dcSystem);
    }

    /**
     * 删除系统工程
     */
    @GetMapping("/dele/{sysId}")
    public @ResponseBody AjaxResult delete(@PathVariable Long sysId) {
        return iDcSystemService.deleteDcSystem(sysId);
    }



    /**
     * 查询列表信息
     * @return
     */
    @GetMapping("/list")
    // Bug 修复：删除未使用的参数，使用推荐的类型安全的 Map 替代原始类型 Map
    public TableDataInfo list(String sysNo) {

        DcSystem dcSystem = new DcSystem();
        dcSystem.setSysNo(sysNo);

        // 开启分页
        startPage();
        // 获取工程列表
        List<DcSystem> list = iDcSystemService.selectDcSystemList(dcSystem);
        // 返回分页数据
        return getDataTable(list);
    }


}
