package com.gqy.web.controller.document;


import com.gqy.common.core.controller.BaseController;
import com.gqy.common.core.domain.AjaxResult;
import com.gqy.common.core.page.TableDataInfo;
import com.gqy.document.domain.DcWork;
import com.gqy.document.service.IWorkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/work")
public class DcWorkController extends BaseController {

    @Autowired
    private IWorkService iWorkService;


    /**
     * 查询工程列表
     *
     * @param work 工程信息
     * @return 工程集合
     */
    //@PostMapping("/list")
    @GetMapping("/list")
    public  TableDataInfo list(DcWork work) {
        // 开启分页
        startPage();
        work.setWkStaus(0);
        // 获取工程列表
        List<DcWork> list = iWorkService.selectWorkList(work);
        // 返回分页数据
        return getDataTable(list);
    }


    /**
     * 新增工程
     *
     * @param work 工程信息
     * @return 结果
     */
    @PostMapping(value = "/add")
    public AjaxResult add(@Validated @RequestBody DcWork work) {
        return toAjax(iWorkService.insertWork(work));
    }


    /**
     * 修改工程
     *
     * @param work 工程信息
     * @return 结果
     */
    @PostMapping(value = "/update")
    public AjaxResult update(@Validated @RequestBody DcWork work) {
        return toAjax(iWorkService.updateWork(work));
    }


    /**
     * 删除工程
     *
     * @return 结果
     */
    @GetMapping("/dele/{wkId}")
    public AjaxResult dele(@PathVariable Long wkId) {
        return toAjax(iWorkService.deleWork(wkId));
    }


}
