package com.gqy.web.controller.document;

import com.gqy.common.core.controller.BaseController;
import com.gqy.common.core.domain.AjaxResult;
import com.gqy.common.core.domain.AjaxResultCQY;
import com.gqy.common.core.page.TableDataInfo;
import com.gqy.document.domain.DcWork;
import com.gqy.document.domain.vo.PageResult;
import com.gqy.document.service.IDcProductService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;


/**
 * 产品信息Controller
 *
 * @author raycos
 */
@RestController
@RequestMapping("/product")
public class ProductController extends BaseController {

    @Autowired
    IDcProductService iDcProductService;

    @PostMapping("/search")
    public AjaxResultCQY search(HttpServletRequest request) {
        return AjaxResultCQY.success("查询成功", new PageResult());
    }


    /**
     * 添加产品
     * @return
     */
    @PostMapping("/add")
    public AjaxResultCQY add(@RequestBody Map maps) {
        return AjaxResultCQY.success(iDcProductService.add(maps));
    }

    @GetMapping("/list")
    public TableDataInfo list(@RequestParam Map<String, Object> maps) {
        // 开启分页
        startPage();
        List<Map> list = iDcProductService.selectProductBaseList(maps);
        return getDataTable(list);
    }

}
