package com.gqy.web.controller.document;

import com.gqy.common.core.controller.BaseController;
import com.gqy.common.core.domain.AjaxResult;
import com.gqy.common.core.domain.AjaxResultCQY;
import com.gqy.document.domain.ProjectCategory;
import com.gqy.document.service.IProjectCategoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 项目分类Controller
 *
 */
@RestController
@RequestMapping("/project/category")
public class ProjectCategoryController extends BaseController {
    @Autowired
    private IProjectCategoryService projectCategoryService;

    /**
     * 添加项目分类
     * @param projectCategory
     * @return
     */
    @PostMapping("/add")
    public AjaxResultCQY add(ProjectCategory projectCategory) {
        // 调用服务层新增方法
        if (projectCategoryService.insertProjectCategory(projectCategory) > 0) {
            return AjaxResultCQY.success();
        }
        return AjaxResultCQY.error("新增项目分类失败");
    }

}
