package com.gqy.document.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.gqy.common.config.CustomDateDeserializer;
import com.gqy.common.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 模板对象 dc_template
 */
public class DcTemplate extends BaseEntity {

    /** 主键ID */
    private Long id;

    /** 模板编码 */
    private String code;

    /** 模板名称 */
    private String name;

    /** 模板介绍 */
    private String intro;

    /** 图层ID */
    private String lay_id;

    /** 类型 */
    private String type;

    /** 模板内容 */
    private String content;

    /** 属性 */
    private String attrs;

    /** 分类ID */
    private Integer category_id;

    /** 管理员ID */
    private Integer admin_id;

    /** 用户id */
    private Long user_id;


    @JsonProperty("create_time")  // Add this annotation
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date create_time;

    /**
     *  状态
     *      (5, "使用中"),
     *     (6, "已停用"),
     *     (4, "已删除"),
     *  */
    private Integer status;

    /** 查询关联模板分类 */
    private TemplateCategory category;

    /** 分类名称（非数据库字段） */
    private String type_name;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date createTime;

    public Long getUser_id() {
        return user_id;
    }

    public void setUser_id(Long user_id) {
        this.user_id = user_id;
    }

    public TemplateCategory getCategory() {
        return category;
    }

    public void setCategory(TemplateCategory category) {
        this.category = category;
    }

    public String getType_name() {
        return type_name;
    }

    public void setType_name(String type_name) {
        this.type_name = type_name;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getCategory_id() {
        return category_id;
    }

    public void setCategory_id(Integer category_id) {
        this.category_id = category_id;
    }

    public String getLay_id() {
        return lay_id;
    }

    public void setLay_id(String lay_id) {
        this.lay_id = lay_id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getAttrs() {
        return attrs;
    }

    public void setAttrs(String attrs) {
        this.attrs = attrs;
    }

    public String getIntro() {
        return intro;
    }

    public void setIntro(String intro) {
        this.intro = intro;
    }

    public Integer getAdmin_id() {
        return admin_id;
    }

    public void setAdmin_id(Integer admin_id) {
        this.admin_id = admin_id;
    }

    public Date getCreate_time() {
        return create_time;
    }

    @JsonProperty("create_time")  // Add this annotation
    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }


    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @JsonProperty("createTime")  // Add this annotation
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }


    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }



}
