package com.gqy.document.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.validation.constraints.Size;
import java.util.Date;

/**
 * 项目分类对象 dc_project_category
 */
public class ProjectCategory {

    /** 分类ID */
    private Long id;

    /** 分类编码 */
    @Size(min = 0, max = 60, message = "分类编码长度不能超过60个字符")
    private String code;

    /** 分类名称 */
    @Size(min = 0, max = 255, message = "分类名称长度不能超过255个字符")
    private String name;

    /** 创建时间 */
    private Date create_time;

    /** 状态（5使用中 6已停用 4已删除） */
    private Integer status;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }


}
