package com.gqy.document.mapper;

import com.gqy.common.core.domain.AjaxResult;
import com.gqy.document.domain.DcTemplate;
import com.gqy.document.domain.TemplateCategory;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 模板查询接口
 */
public interface DcTemplateMapper {
    /**
     * 列表搜索
     * @param name
     * @param category_id
     * @param status
     * @return
     */
    public List<DcTemplate> selectTemplateList(@Param("name") String name, @Param("category_id") Integer category_id,@Param("status") Integer status);

    /**
     * 根据ID查询模板信息
     *
     * @param id 模板ID
     * @return 模板信息
     */
    DcTemplate selectTemplateById(Long id);

    /**
     * 根据分类ID查询分类信息
     *
     * @param categoryId 分类ID
     * @return 分类信息
     */
    TemplateCategory selectTemplateCategoryById(Long categoryId);


    /**
     * 分页查询模板列表
     * @param dcTemplate
     * @return
     */
    public List<DcTemplate> pageTemplate(DcTemplate dcTemplate);


    /**
     * 检查模板名称是否唯一
     * @param template 模板信息
     * @return 结果
     */
    public DcTemplate checkNameUnique(DcTemplate template);

    /**
     * 新增模板
     * @param template 模板信息
     * @return 结果
     */
    public int insertTemplate(DcTemplate template);

    /**
     * 更新模板编码
     * @param template 模板信息
     * @return 结果
     */
    public int updateTemplateCode(DcTemplate template);


}
