package com.gqy.document.mapper;

import com.gqy.document.domain.DocumentCategory;

import java.util.List;

public interface DocumentCategoryMapper {

    /**
     * 搜索文档分类列表
     *
     * @param category 查询条件对象,包含:
     *        name: 分类名称(模糊匹配)
     *        status: 状态(5-使用中 6-已停用)
     * @return List<DocumentCategory> 文档分类列表
     */
    List<DocumentCategory> search(DocumentCategory category);



    /**
     * 检查名称是否唯一
     */
    public DocumentCategory checkNameUnique(String name);


    /**
     * 新增文档分类
     *
     * @param documentCategory 文档分类信息
     * @return 结果
     */
    public int insertDocumentCategory(DocumentCategory documentCategory);


    /**
     * 查询文档分类信息
     *
     * @param id 文档分类ID
     * @return 结果
     */
    public DocumentCategory selectDocumentCategoryById(Long id);

}
