package com.gqy.document.mapper;

import com.gqy.document.domain.TemplateCategory;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TemplateCategoryMapper {

    /**
     * 查询顶级分类列表
     */
    public List<TemplateCategory> selectTopCategoryList(@Param("name") String name,
                                                        @Param("status") Integer status);

    /**
     * 查询子分类列表
     */
    public List<TemplateCategory> selectChildCategoryList(@Param("parent_id") String parentId);

    /**
     * 查询子分类数量
     */
    public int selectChildCount(@Param("category_id") Integer categoryId);

    /**
     * 查询所有有效的分类列表
     * 排除已删除(status=4)的记录
     *
     * @return 分类列表
     */
    public List<TemplateCategory> selectTemplateCategoryList();

    /**
     * 新增模板分类
     *
     * @param templateCategory 模板分类信息
     * @return 结果
     */
    public int insertTemplateCategory(TemplateCategory templateCategory);


    /**
     * 根据ID查询模板分类
     *
     * @param id 模板分类ID
     * @return 模板分类信息
     */
    public TemplateCategory selectTemplateCategoryById(Long id);

}
