package com.gqy.document.service;

import com.gqy.common.core.domain.AjaxResult;
import com.gqy.common.core.domain.AjaxResultCQY;
import com.gqy.document.domain.DcParams;

import java.util.List;

/**
 * 参数配置服务层接口
 *
 * @author ruoyi
 */
public interface IDcParamsService
{
    /**
     * 查询参数列表
     *
     * @param params 查询参数
     * @return 分页结果
     */
    public List<DcParams> search(DcParams params);


    /**
     * 新增参数配置
     *
     * @param params 参数配置信息
     * @return 结果
     */
    public AjaxResultCQY create(DcParams params);


    /**
     * 获取参数配置详细信息
     *
     * @param id 参数ID
     * @return 结果
     */
    public AjaxResultCQY info(Long id);

    /**
     * 修改参数配置
     *
     * @param params 参数配置信息
     * @return 结果
     */
    public AjaxResultCQY update(DcParams params);

}
