package com.gqy.document.service;

import com.gqy.common.annotation.Log;
import com.gqy.document.domain.DcSpec;

import java.util.List;
import java.util.Map;

/**
 * 产品规格Service接口
 */
public interface IDcSpecService {


    /**
     * 查询产品规格列表
     * @param params
     * @return
     */
    List<Map<String, Object>> selectDcPsParamAndSpec(Map<String, Object> params);

    /**
     * 删除规格信息
     * @param id
     * @return
     */
    public int deleteDcPsParam(Integer id);

    /**
     * 查询产品规格
     */
    public DcSpec selectDcSpecById(Integer psId);

    /**
     * 查询产品规格列表
     */
    public List<DcSpec> selectDcSpecList(DcSpec dcSpec);

    /**
     * 新增产品规格
     */
    public int insertDcSpec(DcSpec dcSpec);

    /**
     * 新增规格 包括 规格参数
     * @param maps
     * @return
     */
    public int insertDcSpecParam(Map maps);



    /**
     * 修改规格 包括 规格参数
     * @param 更新参数
     * @return
     */
    public int updateDcSpecMaps(Map maps);


}
