package com.gqy.document.service;

import com.gqy.common.core.domain.AjaxResult;
import com.gqy.common.core.domain.AjaxResultCQY;
import com.gqy.document.domain.DcTemplate;

import java.util.List;

public interface IDcTemplateService {
    /**
     * 查询模板列表
     */
    public List<DcTemplate> selectTemplateList(String name, Integer category_id, Integer status);

    /**
     * 获取模板详细信息
     *
     * @param id 模板ID
     * @return 模板详细信息
     */
    AjaxResultCQY getInfo(Long id);


    /**
     * 分页查询模板列表
     * @param dcTemplate
     * @return
     */
    public List<DcTemplate> pageTemplate(DcTemplate dcTemplate);


    /**
     * 创建模板
     * @param template 模板信息
     * @return 结果
     */
    public AjaxResultCQY create(DcTemplate template);


    /**
     * 更新模板
     */
    public AjaxResultCQY update(DcTemplate template);


}
