package com.gqy.document.service;

import com.gqy.common.core.domain.AjaxResult;
import com.gqy.common.core.domain.AjaxResultCQY;
import com.gqy.document.domain.DocumentCategory;
import com.gqy.document.domain.vo.PageResult;

public interface IDocumentCategoryService {
    /**
     * 搜索文档分类列表
     *
     * @param page 页码
     * @param pageSize 每页数量
     * @param category 查询条件对象
     * @return PageResult 分页结果对象
     */
    PageResult search(Integer page, Integer pageSize, DocumentCategory category);


    /**
     * 查询文档分类信息
     *
     * @param id 文档分类ID
     * @return 结果
     */
    public AjaxResultCQY info(Long id);


    /**
     * 创建文档分类
     */
    public AjaxResultCQY create(DocumentCategory documentCategory);

}
