package com.gqy.document.service;


import com.gqy.common.core.domain.AjaxResult;
import com.gqy.common.core.domain.AjaxResultCQY;
import com.gqy.document.domain.TemplateCategory;

import java.util.List;

/**
 * 模板分类Service接口
 */
public interface ITemplateCategoryService {

    /**
     * 查询顶级分类列表
     */
    public List<TemplateCategory> selectTopCategoryList(String name, Integer status);

    /**
     * 查询子分类列表
     */
    public List<TemplateCategory> selectChildCategoryList(String parentId);

    /**
     * 查询子分类数量
     */
    public int selectChildCount(Integer categoryId);

    /**
     * 获取分类树结构
     *
     * @return 树结构数据
     */
    public AjaxResultCQY treeCategory();

    /**
     * 创建模板分类
     *
     * @param templateCategory 模板分类信息
     * @return 结果
     */
    public AjaxResultCQY create(TemplateCategory templateCategory);


    /**
     * 根据ID查询模板分类
     *
     * @param id 模板分类ID
     * @return 模板分类信息
     */
    public AjaxResultCQY selectTemplateCategoryById(Long id);



}
