package com.gqy.document.service.impl;

import com.gqy.common.utils.bean.BeanUtils;
import com.gqy.document.domain.*;
import com.gqy.document.mapper.DcProductMapper;
import com.gqy.document.mapper.DcSpecMapper;
import com.gqy.document.mapper.DcSystemProductMapper;
import com.gqy.document.mapper.DcWorkSystemMapper;
import com.gqy.document.service.IDcProductService;
import com.gqy.system.mapper.DcPsParamMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 *  产品信息
 */
@Service
public class DcProductServiceImpl implements IDcProductService {

    @Autowired
    private DcProductMapper dcProductMapper;

    @Autowired
    private DcWorkSystemMapper dcWorkSystemMapper;

    @Autowired
    private DcSystemProductMapper dcSystemProductMapper;


    @Autowired
    private DcSpecMapper dcSpecMapper;

    @Autowired
    private DcPsParamMapper dcPsParamMapper;


    /**
     * 查询所有参数名称
     * @param params
     * @return
     */
    public List<Map> selectProductBaseList(Map params) {
        // 先获取所有规格参数名称
        List<String> paramNames = dcProductMapper.selectAllParamNames();
        params.put("paramNames", paramNames);
        return dcProductMapper.selectProductBaseList(params);
    }

    /**
     *
     * @param params
     * @return
     */
    public int add(Map<String, Object> params) {

        try {
            Map<String, Object> content = (Map<String, Object>) params.get("content");

            DcProduct product = new DcProduct();
            // 拷贝参数
            BeanUtils.mapToBean(content,product );
            // 保存
            dcProductMapper.insertDcProduct(product);
            // 产品id
            int dcpId = product.getDcp_id();
            //系统类别id
            int  sys_no = Integer.parseInt(content.get("sys_no").toString());
            //工程id
            int wr_id = Integer.parseInt(content.get("wr_id").toString());


            // 工程系统表 保存信息 dc_work_system
            DcWorkSystem workSystem = new DcWorkSystem();
            workSystem.setWr_id(wr_id);
            workSystem.setSys_id(sys_no);

            dcWorkSystemMapper.insertDcWorkSystem(workSystem);

            // 系统产品表 保存信息 dc_system_product
            DcSystemProduct systemProduct = new DcSystemProduct();
            systemProduct.setSys_no(sys_no);
            systemProduct.setDcp_id(dcpId);
            dcSystemProductMapper.insertDcSystemProduct(systemProduct);

            // 规格管理
            List<Map> specs = (List<Map>) params.get("specs");
            for (Map maps : specs) {
                // 规格



                //保存规格信息表
                DcSpec dcSpec = new DcSpec();
                dcSpec.setPs_p_id(dcpId);
                BeanUtils.mapToBean(maps,dcSpec );
                String ps_no = maps.get("ps_no").toString();
                dcSpec.setPs_no(ps_no);
                dcSpec.setPs_name(maps.get("ps_name").toString());
                //dcSpec.setPs_category(maps.get("ps_category").toString());

                dcSpecMapper.insertDcSpec(dcSpec);

                //规格参数
                DcPsParam dcPsParam = new DcPsParam();
                BeanUtils.mapToBean(maps,dcPsParam );
                dcPsParam.setPsp_mode(ps_no);

                dcPsParamMapper.insertDcPsParam(dcPsParam);



            }
            return  1;
        }catch (Exception e){
            e.printStackTrace();
        }
        return 0;
    }
}
