package com.gqy.system.mapper;


import com.gqy.document.domain.DcParams;

import java.util.List;

/**
 * 参数配置服务层接口
 *
 * @author ruoyi
 */
public interface DcParamsMapper {

    /**
     * 查询参数列表
     *
     * @param params 查询参数
     * @return 分页结果
     */
    public List<DcParams> selectParamsList(DcParams params);


    /**
     * 新增参数配置
     *
     * @param params 参数配置信息
     * @return 结果
     */
    public int insertParams(DcParams params);

    /**
     * 校验参数名称是否唯一
     *
     * @param name 参数名称
     * @return 结果
     */
    public DcParams checkNameUnique(String name);

    /**
     * 根据ID查询参数配置
     *
     * @param id 参数ID
     * @return 参数配置信息
     */
    public DcParams selectParamsById(Long id);

    /**
     * 修改参数配置
     *
     * @param params 参数配置信息
     * @return 结果
     */
    public int updateParams(DcParams params);
}
